跳至內容

Sonilo V1.1 Text to Music

整合

模型 id sonilo/v1.1/text-to-music
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.225 225 API 點數 · ≈ ₽24.15 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Sonilo · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

所需音樂的文字描述。

預設 90

所需輸出長度,以秒計,最大值為 600。

預設 1

要產生的獨立音樂曲目數量。

POST /run/sonilo/v1.1/text-to-music?wait=20 報價 → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Sonilo V1.1 Text to Music

根據描述樣式、情緒和樂器配置的單一文字提示創作音樂。`duration` 以秒為單位,範圍為 1 到 600(預設 90),`num_samples` 產生 1 到 3 條不同音軌。結果將第一條音軌放在 `audio`,所有音軌放在 `audios`,格式為 AAC/m4a。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
所需音樂的文字描述。
duration選填
類型integer
預設值90
1 – 600
所需輸出長度,以秒計,最大值為 600。
num_samples選填
類型integer
預設值1
1 – 3
要產生的獨立音樂曲目數量。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/text-to-music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
audio
object {url, content_type, file_name, file_size}產生的第一首音樂曲目,用於快速播放或預覽。
audios
array of object {url, content_type, file_name, file_size}以 AAC/m4a 格式生成的完整音樂曲目集合,每個樣本一首曲目。

更多模型:文字轉音樂

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/sonilo/v1.1/text-to-music.md. 所有模型與指南: https://doitong.com/developers/llms.txt